Skip to main content
Version: 5.35.0

Timezones

By default the Datepicker uses the local timezone of the browser for value selection. If you want to select a date-time in a different timezone, you will need an external library to handle the timezone conversions. There are three libraries that Mobiscroll supports: moment-timezone, luxon and Day.js.

info

When using a timezone plugin with the Datepicker, the returned values are always ISO 8601 date strings, no matter what returnFormat option is used.

info

When using a timezone plugin with the Datepicker, the exclusiveEndDates options defaults to true. Learn more about exclusive end dates!

Library Install​

To setup the library, first you have to install it on your page. In this guide we'll assume you are using npm to install packages, but you can consult the installation guide on the libraries official pages (moment-timezone install page, luxon install page) for more options on how to install them.

The Moment-Timezone library​

1. To install the moment-timezone library with npm you will need to run the following commands:

npm install moment-timezone

2. After the library is installed, you will have to import it with the momentTimezone object from mobiscroll:

Moment library import
import moment from 'moment-timezone';
import { momentTimezone } from '@mobiscroll/jquery';

3. Then set the mobiscroll's reference to the imported library:

Moment library setup
import moment from 'moment-timezone';
import { momentTimezone } from '@mobiscroll/jquery';
momentTimezone.moment = moment;

4. After that, you can pass the momentTimezone object to the Datepicker's timezonePlugin option.

import { momentTimezone } from '@mobiscroll/jquery';
import moment from 'moment-timezone';

momentTimezone.moment = moment;

$('#myInput').mobiscroll().datepicker({
timezonePlugin: momentTimezone,
dataTimezone: 'utc',
displayTimezone: 'Europe/Berlin',
});

The Luxon library​

1. To install the luxon library with npm you will need to run the following commands:

npm install luxon

In case you are using typescript you can also consider installing the types, because they come separately:

npm install --save-dev @types/luxon

2. After the library is installed, you will have to import it with the luxonTimezone object from mobiscroll:

Luxon library import
import * as luxon from 'luxon';
import { luxonTimezone } from '@mobiscroll/jquery';

3. Then set the mobiscroll's reference to the imported library:

Luxon library setup
import * as luxon from 'luxon';
import { luxonTimezone } from '@mobiscroll/jquery';
luxonTimezone.luxon = luxon;

4. After that, you can pass the luxonTimezone object to the Datepicker's timezonePlugin option.

import { luxonTimezone } from '@mobiscroll/jquery';
import * as luxon from 'luxon';
luxonTimezone.luxon = luxon;

$('#myInput').mobiscroll().datepicker({
timezonePlugin: momentTimezone,
dataTimezone: 'utc',
displayTimezone: 'Europe/Berlin',
});

The Day.js library​

1. To install the Day.js library with npm you will need to run the following commands:

npm install dayjs

2. After installing the library, the utc and timezone plugins need to be included. You'll also need to import the dayjsTimezone plugin from mobiscroll:

Day.js library import
import dayjs from 'dayjs';
import timezone from 'dayjs/plugin/timezone';
import utc from 'dayjs/plugin/utc';
import { dayjsTimezone } from '@mobiscroll/jquery';

dayjs.extend(utc);
dayjs.extend(timezone);

3. Then set the mobiscroll's reference to the imported library:

Day.js library setup
dayjsTimezone.dayjs = dayjs;

4. After that, you can pass the dayjsTimezone object to the Datepicker's timezonePlugin option.

import { dayjsTimezone } from '@mobiscroll/jquery';
import dayjs from 'dayjs';
import timezone from 'dayjs/plugin/timezone';
import utc from 'dayjs/plugin/utc';

dayjs.extend(utc);
dayjs.extend(timezone);
dayjsTimezone.dayjs = dayjs;

$('#myInput').mobiscroll().datepicker({
timezonePlugin: dayjsTimezone,
dataTimezone: 'utc',
displayTimezone: 'Europe/Berlin',
});

Skip to main content
Version: 5.35.0

Timezones

By default the Datepicker uses the local timezone of the browser for value selection. If you want to select a date-time in a different timezone, you will need an external library to handle the timezone conversions. There are three libraries that Mobiscroll supports: moment-timezone, luxon and Day.js.

info

When using a timezone plugin with the Datepicker, the returned values are always ISO 8601 date strings, no matter what returnFormat option is used.

info

When using a timezone plugin with the Datepicker, the exclusiveEndDates options defaults to true. Learn more about exclusive end dates!

Library Install​

To setup the library, first you have to install it on your page. In this guide we'll assume you are using npm to install packages, but you can consult the installation guide on the libraries official pages (moment-timezone install page, luxon install page) for more options on how to install them.

The Moment-Timezone library​

1. To install the moment-timezone library with npm you will need to run the following commands:

npm install moment-timezone

2. After the library is installed, you will have to import it with the momentTimezone object from mobiscroll:

Moment library import
import moment from 'moment-timezone';
import { momentTimezone } from '@mobiscroll/vue';

3. Then set the mobiscroll's reference to the imported library:

Moment library setup
import moment from 'moment-timezone';
import { momentTimezone } from '@mobiscroll/vue';
momentTimezone.moment = moment;

4. After that, you can pass the momentTimezone object to the Datepicker's timezonePlugin option.

<script setup>
import { MbscDatepicker, momentTimezone } from '@mobiscroll/vue';
import moment from 'moment-timezone';

momentTimezone.moment = moment;
</script>

<template>
<MbscDatepicker
:timezonePlugin="momentTimezone"
dataTimezone="utc"
displayTimezone="Europe/Berlin"
/>
</template>

The Luxon library​

1. To install the luxon library with npm you will need to run the following commands:

npm install luxon

In case you are using typescript you can also consider installing the types, because they come separately:

npm install --save-dev @types/luxon

2. After the library is installed, you will have to import it with the luxonTimezone object from mobiscroll:

Luxon library import
import * as luxon from 'luxon';
import { luxonTimezone } from '@mobiscroll/vue';

3. Then set the mobiscroll's reference to the imported library:

Luxon library setup
import * as luxon from 'luxon';
import { luxonTimezone } from '@mobiscroll/vue';
luxonTimezone.luxon = luxon;

4. After that, you can pass the luxonTimezone object to the Datepicker's timezonePlugin option.

<script setup>
import { MbscDatepicker, luxonTimezone } from '@mobiscroll/vue';
import * as luxon from 'luxon';
luxonTimezone.luxon = luxon;
</script>

<template>
<MbscDatepicker
:timezonePlugin="luxonTimezone"
dataTimezone="utc"
displayTimezone="Europe/Berlin"
/>
</template>

The Day.js library​

1. To install the Day.js library with npm you will need to run the following commands:

npm install dayjs

2. After installing the library, the utc and timezone plugins need to be included. You'll also need to import the dayjsTimezone plugin from mobiscroll:

Day.js library import
import dayjs from 'dayjs';
import timezone from 'dayjs/plugin/timezone';
import utc from 'dayjs/plugin/utc';
import { dayjsTimezone } from '@mobiscroll/vue';

dayjs.extend(utc);
dayjs.extend(timezone);

3. Then set the mobiscroll's reference to the imported library:

Day.js library setup
dayjsTimezone.dayjs = dayjs;

4. After that, you can pass the dayjsTimezone object to the Datepicker's timezonePlugin option.

<script setup>
import { dayjsTimezone, MbscDatepicker } from '@mobiscroll/vue';
import dayjs from 'dayjs';
import timezone from 'dayjs/plugin/timezone';
import utc from 'dayjs/plugin/utc';

dayjs.extend(utc);
dayjs.extend(timezone);
dayjsTimezone.dayjs = dayjs;
</script>

<template>
<MbscDatepicker
:timezonePlugin="dayjsTimezone"
dataTimezone="utc"
displayTimezone="Europe/Berlin"
/>
</template>

Skip to main content
Version: 5.35.0

Timezones

By default the Datepicker uses the local timezone of the browser for value selection. If you want to select a date-time in a different timezone, you will need an external library to handle the timezone conversions. There are three libraries that Mobiscroll supports: moment-timezone, luxon and Day.js.

info

When using a timezone plugin with the Datepicker, the returned values are always ISO 8601 date strings, no matter what returnFormat option is used.

info

When using a timezone plugin with the Datepicker, the exclusiveEndDates options defaults to true. Learn more about exclusive end dates!

Library Install​

To setup the library, first you have to install it on your page. In this guide we'll assume you are using npm to install packages, but you can consult the installation guide on the libraries official pages (moment-timezone install page, luxon install page) for more options on how to install them.

The Moment-Timezone library​

1. To install the moment-timezone library with npm you will need to run the following commands:

npm install moment-timezone

2. After the library is installed, you will have to import it with the momentTimezone object from mobiscroll:

Moment library import
import moment from 'moment-timezone';
import { momentTimezone } from '@mobiscroll/angular';

3. Then set the mobiscroll's reference to the imported library:

Moment library setup
import moment from 'moment-timezone';
import { momentTimezone } from '@mobiscroll/angular';
momentTimezone.moment = moment;

4. After that, you can pass the momentTimezone object to the Datepicker's timezonePlugin option.

<mbsc-datepicker [timezonePlugin]="myPlugin" [dataTimezone]="myDataTz" [displayTimezone]="myDisplayTz"></mbsc-datepicker>
import { momentTimezone, MbscTimezonePlugin } from '@mobiscroll/angular';
import moment from 'moment-timezone';

momentTimezone.moment = moment;

@Component({...})
export class AppComponent {
myPlugin: MbscTimezonePlugin = momentTimezone;
myDataTz = 'utc';
myDisplayTz = 'Europe/Berlin';
}

The Luxon library​

1. To install the luxon library with npm you will need to run the following commands:

npm install luxon

In case you are using typescript you can also consider installing the types, because they come separately:

npm install --save-dev @types/luxon

2. After the library is installed, you will have to import it with the luxonTimezone object from mobiscroll:

Luxon library import
import * as luxon from 'luxon';
import { luxonTimezone } from '@mobiscroll/angular';

3. Then set the mobiscroll's reference to the imported library:

Luxon library setup
import * as luxon from 'luxon';
import { luxonTimezone } from '@mobiscroll/angular';
luxonTimezone.luxon = luxon;

4. After that, you can pass the luxonTimezone object to the Datepicker's timezonePlugin option.

<mbsc-datepicker [timezonePlugin]="myPlugin" [dataTimezone]="myDataTz" [displayTimezone]="myDisplayTz"></mbsc-datepicker>
import { luxonTimezone, MbscTimezonePlugin } from '@mobiscroll/angular';
import * as luxon from 'luxon';
luxonTimezone.luxon = luxon;

@Component({...})
export class AppComponent {
myPlugin: MbscTimezonePlugin = luxonTimezone;
myDataTz = 'utc';
myDisplayTz = 'Europe/Berlin';
}

The Day.js library​

1. To install the Day.js library with npm you will need to run the following commands:

npm install dayjs

2. After installing the library, the utc and timezone plugins need to be included. You'll also need to import the dayjsTimezone plugin from mobiscroll:

Day.js library import
import dayjs from 'dayjs';
import timezone from 'dayjs/plugin/timezone';
import utc from 'dayjs/plugin/utc';
import { dayjsTimezone } from '@mobiscroll/angular';

dayjs.extend(utc);
dayjs.extend(timezone);

3. Then set the mobiscroll's reference to the imported library:

Day.js library setup
dayjsTimezone.dayjs = dayjs;

4. After that, you can pass the dayjsTimezone object to the Datepicker's timezonePlugin option.

<mbsc-datepicker [timezonePlugin]="myDayjsTimezone" [dataTimezone]="myDataTz" [displayTimezone]="myDisplayTz"></mbsc-datepicker>
import { dayjsTimezone, MbscTimezonePlugin } from '@mobiscroll/javascript';
import dayjs from 'dayjs';
import timezone from 'dayjs/plugin/timezone';
import utc from 'dayjs/plugin/utc';

dayjs.extend(utc);
dayjs.extend(timezone);
dayjsTimezone.dayjs = dayjs;

@Component({...})
export class AppComponent {
myDayjsTimezone: MbscTimezonePlugin = dayjsTimezone;
myDataTz = 'utc';
myDisplayTz = 'Europe/Berlin';
}